### Struct

# SpiceClientGLib QmpStatus

since: 0.36

#### Description [src]

    struct SpiceQmpStatus {
      gint version;
      gboolean running;
      gboolean singlestep;
      gchar* status;
    }

Information about VCPU run state.

###### Structure members

`version:` `gint`

  The structure version.

`running:` `gboolean`

  True if all VCPUs are runnable, false if not runnable.

`singlestep:` `gboolean`

  True if VCPUs are in single-step mode.

`status:` `gchar*`

  The virtual machine run state.

Available since: 0.36

#### Instance methods

###### spice_qmp_status_ref

References a `status`.

since: 0.36

###### spice_qmp_status_unref

Removes a reference from the given `status`.

since: 0.36